Bug 1144560 - installer tries to apply custom kickstart layout again when user visits storage spoke
Summary: installer tries to apply custom kickstart layout again when user visits stora...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 21
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: David Lehman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1144604
TreeView+ depends on / blocked
 
Reported: 2014-09-19 17:42 UTC by David Lehman
Modified: 2014-10-11 06:53 UTC (History)
5 users (show)

Fixed In Version: anaconda-21.48.8-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1144604 (view as bug list)
Environment:
Last Closed: 2014-10-11 06:53:52 UTC
Type: Bug


Attachments (Terms of Use)

Description David Lehman 2014-09-19 17:42:05 UTC
Description of problem:
if you do an actual kickstart installation with a ks.cfg that contains a custom storage layout, then try to enter the storage spoke to go view/adjust your layout in the custom spoke, it will try to allocate everything again between the storage and custom spokes, which causes an error, which causes us to reset everything and lose your custom layout.

Version-Release number of selected component (if applicable):
anaconda-21.48.6-1

How reproducible:
always

Steps to Reproduce:
1. do a kickstart install with a non-working base repo and custom storage
2. visit the storage spoke, proceed to custom spoke
3.

Actual results:
everything has been reset to on-disk

Expected results:
my custom layout is visible in custom spoke

Additional info:

Comment 1 David Lehman 2014-09-19 18:25:48 UTC
Already fixed on master.

Comment 2 Kamil Páral 2014-09-24 18:26:23 UTC
David said he's going to commit this later today, unsetting blocker nomination.

Comment 3 Fedora Update System 2014-10-01 15:36:03 UTC
anaconda-21.48.8-1.fc21, python-blivet-0.61.3-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-blivet-0.61.3-1.fc21,anaconda-21.48.8-1.fc21

Comment 4 Fedora Update System 2014-10-03 04:00:07 UTC
Package anaconda-21.48.8-1.fc21, python-blivet-0.61.3-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-21.48.8-1.fc21 python-blivet-0.61.3-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-11977/python-blivet-0.61.3-1.fc21,anaconda-21.48.8-1.fc21
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-10-04 03:22:38 UTC
Package anaconda-21.48.8-1.fc21, python-blivet-0.61.3-1.fc21, pykickstart-1.99.60-2.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-21.48.8-1.fc21 python-blivet-0.61.3-1.fc21 pykickstart-1.99.60-2.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-11977/pykickstart-1.99.60-2.fc21,python-blivet-0.61.3-1.fc21,anaconda-21.48.8-1.fc21
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-10-11 06:53:52 UTC
anaconda-21.48.8-1.fc21, python-blivet-0.61.3-1.fc21, pykickstart-1.99.60-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.